Bug 19280 - scp from openssh-2.2.0p1 not compatible with ssh-2.2.0
scp from openssh-2.2.0p1 not compatible with ssh-2.2.0
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-10-17 15:25 EDT by Alex Efros
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-20 16:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Efros 2000-10-17 15:25:08 EDT
=== Download file from remote (host2) to local (host1)

host1:~$ scp root@host2:filename filename
root@host2's password:
select: Bad file descriptor

=== Upload file from remote (host2) to local (host1)

[root@host2 /root]# scp filename user@host1:filename
Host key not found from database.
Key fingerprint:
You can get a public key's fingerprint by running
% ssh-keygen -F publickey.pub
on the keyfile.
Are you sure you want to continue connecting (yes/no)? y
Host key saved to /root/.ssh2/hostkeys/key_22_host1.pub
host key for host1, accepted by root Tue Oct 17 2000 11:10:06 -0600
user@host1's password:

=== And after this `es' on last line I see no activity and press Ctrl-C
=== Than I try to UPLOAD file I see at /var/log/messages this:

22:08:09 sshd 2715: Could not reverse map address XXX.XXX.XXX.X.
22:08:09 sshd 2715: Accepted password for user from XXX.XXX.XXX.X port 1035
22:08:11 sshd 2715: subsystem request for sftp
22:08:11 sshd 2715: subsystem request for sftp failed, subsystem not found

=== real host names, user names and ip addreses changed to host1, host2,
=== user, XXX.XXX.XXX.X

Remote host SSH version is:
ssh: SSH Secure Shell 2.2.0 (non-commercial version) on i686-pc-linux-gnu

Local host SSH version is:
SSH Version OpenSSH_2.2.0p1, protocol versions 1.5/2.0.
Compiled with SSL (0x0090581f).
Comment 1 Pekka Savola 2000-10-19 14:52:19 EDT
Have you tried SSH 2.3.0?  It has better license too.  Also, it might be that 
scp tries to use sftp.  Try disabling sftp-server.
Comment 2 Ignacio Vazquez-Abrams 2000-10-19 18:46:50 EDT
From the OpenSSH FAQ List:

4.OpenSSH does not implement the SFTP subsystem. 

      While the SSH protocol is specified in the IETF SECSH drafts, the SFTP
subsystem found in some commercial SSH implementations is not part of these
      SSH protocol specifications. It is a proprietary protocol invented by SSH
Communications Security Corp. It could be reverse engineered, but we have not
      invested efforts to do so. 

      UPDATE: Markus Friedl has spent some time and reverse engineered the
protocol. The next release after 2.2.0 will contain an sftp-server
Comment 3 Pekka Savola 2000-10-20 16:51:28 EDT
Yes, sftp-server support was added in post-2.2.0p1 builds.  However, you could
still use sftp-server binary from SSH.COM's ssh2 on the system before that.
And even if not used, uncommenting the dreadful line in /etc/ssh/sshd_config
might cause interesting problems..
Comment 4 Pekka Savola 2001-01-12 15:02:47 EST
Newer versions of OpenSSH have better compability support with SSH.COM products, plus
there's sftp-server.

Note You need to log in before you can comment on or make changes to this bug.